package app

import (
	"chain-dci/pkg/tracing"
	bccrClient "github.com/antchain-openapi-sdk-go/bccr/client"
	"github.com/bwmarrin/snowflake"
	antCloud "github.com/huyi-cn/antcloud-golang-sdk"
	"go.uber.org/zap"
)

var ModuleClients *App

type App struct {
	Lg *zap.Logger
	//RedisClient  *redis.Client
	JaegerTracer *tracing.JaegerProvider
	//DbMeeting    *gorm.DB
	SfNode     *snowflake.Node
	AntClient  *antCloud.Client
	BccrClient *bccrClient.Client
}
